[Plugin] Center on Origin UPDATE May 23, 2013
-
@chris fullmer said:
And here's another option. If you want it to reset the component rotation and scale, edit the ruby file in a plain text editor (like notepad for example) and after the line:
if comp.typename == "Group" || comp.typename == "ComponentInstance"
add the two following lines:
t = Geom::Transformation.new comp.transformation = t
Chris
I'm having some difficulty using this plug in on nested components that were created with a copy/paste/scale = -1. I was hoping to try a few of the edits cited in this thread but the ruby is a .rbz; My editor tells me its been locked up and uneditable... is there another way to get to the source?
-
The .rbz is just a zip file. Rename it to .zip and then unzip it. Inside there are regular .rb files that you can edit for your own personal use.
-
Hi Chris,
I installed the new update but now get an error message.
Charly
-
Oh that's not good
I'll have to work on testing this one tomorrow. I'm not sure what has gone wrong, but I'm pretty sure it'll be easy enough to find. Thanks Charly,
Chris
-
No reason, I have to thank you. Another note, in Sketchup 2013 it works fine.
-
Do you have any of my other scripts installed in 2013?
Also make sure that you deleted the old version that is in SU 8.
Chris
-
I have to correct myself, even in "Sketchup 2013," an error message appears.
Yes I have more plugins from you, see picture below.
-
Hey Charly, the screen shots are useful, but it does not show clf_center_on_orogin.rb listed in the lower screenshot, which I would expect, since you have the folder loaded, and the errors seems to be pertaining to center on origin.
I wonder if you have plugins lost in the Compatibility folders sonwhere. In the plugins folder, at the top do you see "Compatibility Folders" anywhere? See the first screenshot in the following:
If you have that, click on it, select everything there and MOVE it back into the actual plugins folder.
Then try to restart SU, if you still have issues, take screenshots again and let me see what you have.
Or if you don't have any compatibility folders, could you send me your copy of center on origin? Thanks,
Chris
-
I have all the clf_plugins piece by piece deactivated and found out that the "clf_arc_centerpoint_finder.rb" caused the error. After reinstalling everything works perfectly again. Sorry.
Charly
-
Oh good, glad you got it working. That makes sense to me. I had accidentally released a bugged version of arc_centerpoint_finder that was live for a few days. Looks like you got a copy of that one - sorry!
-
Dear Chris,
I have now found that you are represented in the "Plugins menu" three times. Is that intentional from you?
-
Hi Charly, that is an unfortunate side-effect of my efforts to clean up my scripts. In your case, from what I can see, anything in the first and third menus are old scripts and should be updated. Unfortunately the updated versions are not yet published anywhere.....so for now you're stuck with the extra menu items - sorry about that! I'll let you know when I get all my updated scripts published. Thanks!
Chris
-
Hi!
Thanks for creating so useful SU plugin!
BTW, is there a way to center a model or component like the image B (not like the original script do - image A)?
Best regards!
-
@nesh70 said:
Hi!
Thanks for creating so useful SU plugin!
BTW, is there a way to center a model or component like the image B (not like the original script do - image A)?
Best regards!
I found out how to achieve it, changing the line
vector = point.vector_to [0,0,0]
to
vector = point.vector_to [0,0,model.bounds.height / 2]
-
Why not use something like
vector = point.vector_to(model.bounds.center)
for the center, or
pt=model.bounds.center pt.z=model.bounds.min.z vector = point.vector_to(pt)
for the center-bottom -
@nesh70 said:
@nesh70 said:
Hi!
Thanks for creating so useful SU plugin!
BTW, is there a way to center a model or component like the image B (not like the original script do - image A)?
I use this plugin for centering an object while setting it's bounding box bottom at 0 :
center_group_bottom.rb
You can find it at http://www.fsdeveloper.com/forum/showthread.php?t=71321
download link
http://www.fsdeveloper.com/forum/attachment.php?attachmentid=10061&d=1310763814 -
@babak said:
@nesh70 said:
@nesh70 said:
Hi!
Thanks for creating so useful SU plugin!
BTW, is there a way to center a model or component like the image B (not like the original script do - image A)?
I use this plugin for centering an object while setting it's bounding box bottom at 0 :
center_group_bottom.rb
You can find it at http://www.fsdeveloper.com/forum/showthread.php?t=71321
download link
http://www.fsdeveloper.com/forum/attachment.php?attachmentid=10061&d=1310763814Thanks babak! It works perfectly! Just what I wanted!
-
Hi Chris,
Tried to enter the patch script at the start of this thread, but the the ruby script is different than what you quoted:And here's another option. If you want it to reset the component rotation and scale, edit the ruby file in a plain text editor (like Notepad for example) and after the line:
if comp.typename == "Group" || comp.typename == "ComponentInstance"
add the two following lines:
t = Geom::Transformation.new comp.transformation = t
This is it now:
sela.each do |e| if e.is_a?(Sketchup::Group) || e.is_a?(Sketchup::ComponentInstance) to_move << e end
...
I need to zero out the components rotation/scale
What's your thoughts?Terry
Advertisement